Bug 1036754 - Review Request: ttembed - Remove embedding limitations from TrueType fonts
Summary: Review Request: ttembed - Remove embedding limitations from TrueType fonts
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: T.C. Hollingsworth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1035897
TreeView+ depends on / blocked
 
Reported: 2013-12-02 14:55 UTC by Petr Vobornik
Modified: 2015-02-26 15:54 UTC (History)
7 users (show)

Fixed In Version: ttembed-1.1-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-20 01:32:53 UTC
tchollingsworth: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Petr Vobornik 2013-12-02 14:55:38 UTC
Spec URL: http://pvoborni.fedorapeople.org/ttembed/ttembed.spec
SRPM URL: http://pvoborni.fedorapeople.org/ttembed/ttembed-1.1-1.fc19.src.rpm
Description: Remove embedding limitations from TrueType fonts, by setting the fsType field in the OS/2 table to zero. That's it; this program is a one-trick pony.
Fedora Account System Username: pvoborni

I'm not in packager group, therefore I need a sponsor.

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=6247180

This tool should help with packaging fonts which doesn't have fsType(embeddable permission) set to zero(installable) - needed when serving font to Internet Explorer 9+.

Comment 1 T.C. Hollingsworth 2013-12-07 07:31:55 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

Status:  NEEDS WORK

===== MUST Issues ====

These issues must be fixed prior to approval.

- The upstream tarball distribution contains a man page, but it is not included
  in the binary RPM.
  
    Please install the ttembed.1 man page.
    
===== SHOULD Issues ====

Packagers are strongly encouraged to resolve these issues where possible, but
they are not blockers.

- Does not use parallel make %{?_smp_mflags} macro.

    Guess this is such a tiny C program that this doesn't help much, but
    please consider adding it if the Makefile supports it anyway.
    
- %check is present and all tests pass.

    Upstream does not seem to ship tests.  You could BuildRequire a font and
    run this on it and test that it was successful, just as a little smoke test
    in case something goes south and the build fails

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in
     /home/fedora/patches/FedoraReview/1036754-ttembed/licensecheck.txt
     
     Public Domain -> OK
     
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Uses parallel make %{?_smp_mflags} macro.
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ttembed-1.1-1.fc19.x86_64.rpm
          ttembed-1.1-1.fc19.src.rpm
ttembed.x86_64: W: spelling-error %description -l en_US fsType -> mistype
ttembed.x86_64: W: no-manual-page-for-binary ttembed
ttembed.src: W: spelling-error %description -l en_US fsType -> mistype
2 packages and 0 specfiles checked; 0 errors, 3 warnings.

Please install the man page included in the tarball, everything else is false
positive.


Rpmlint (installed packages)
----------------------------
# rpmlint ttembed
ttembed.x86_64: W: spelling-error %description -l en_US fsType -> mistype
ttembed.x86_64: W: no-manual-page-for-binary ttembed
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'

See above.

Requires
--------
ttembed (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    rtld(GNU_HASH)

OK

Provides
--------
ttembed:
    ttembed
    ttembed(x86-64)

OK

Source checksums
----------------
https://github.com/hisdeedsaredust/ttembed/archive/v1.1.tar.gz :
  CHECKSUM(SHA256) this package     : 2d66e7b2f8bb9c4ab808dedc07df29b4980a84685e57fa07b56c090b6f4482db
  CHECKSUM(SHA256) upstream package : 2d66e7b2f8bb9c4ab808dedc07df29b4980a84685e57fa07b56c090b6f4482db

OK

Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :./try-fedora-review -b1036754
Buildroot used: fedora-19-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 2 Petr Vobornik 2013-12-10 09:41:09 UTC
Thank you for the review.

Spec and srpm updated:
* man page included
* %{?_smp_mflags} macro added
* simple smoke test added - The only functionality tested is detection of not a font file because it has the most distinctive output. Other use cases are very similar to each other (exit code 0 with no output). Using Buildrequires with font with incorrect fsType is not used because the test will become incorrect when the font is fixed. More comprehensive tests should be implemented upstream and then the %check section should be replaced by simple `make test`.

Comment 3 T.C. Hollingsworth 2013-12-10 16:04:24 UTC
In the future, please increment the Release and add a changelog entry for all updates during the review process.

This package is APPROVED.  You will be sponsored into the packager group momentarily.

Comment 4 Petr Vobornik 2013-12-11 09:32:14 UTC
New Package SCM Request
=======================
Package Name: ttembed
Short Description: Remove embedding limitations from TrueType fonts
Owners: pvoborni
Branches: f19 f20
InitialCC:

Comment 5 Gwyn Ciesla 2013-12-11 13:08:59 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2013-12-11 17:36:11 UTC
ttembed-1.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ttembed-1.1-1.fc19

Comment 7 Fedora Update System 2013-12-11 17:37:45 UTC
ttembed-1.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ttembed-1.1-1.fc20

Comment 8 Fedora Update System 2013-12-12 02:56:59 UTC
ttembed-1.1-1.fc19 has been pushed to the Fedora 19 testing repository.

Comment 9 Fedora Update System 2013-12-20 01:32:53 UTC
ttembed-1.1-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 10 Fedora Update System 2013-12-23 03:42:11 UTC
ttembed-1.1-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 11 Petr Vobornik 2014-09-10 13:51:54 UTC
Package Change Request
======================
Package Name: ttembed
New Branches: epel7
Owners: pvoborni

Because of https://bugzilla.redhat.com/show_bug.cgi?id=1138538

Comment 12 Gwyn Ciesla 2014-09-10 14:11:37 UTC
Git done (by process-git-requests).

Comment 13 Orion Poplawski 2015-02-25 23:13:00 UTC
Petr or others willing to maintain this in EPEL6?  It at least builds there fine.

Comment 14 Petr Vobornik 2015-02-26 10:02:22 UTC
Package Change Request
======================
Package Name: ttembed
New Branches: el6
Owners: pvoborni

Comment 15 Orion Poplawski 2015-02-26 15:54:44 UTC
Thank you!


Note You need to log in before you can comment on or make changes to this bug.